nextcloud of base set up

1.unsupport version download https://nextcloud.com/changelog-unsupported/
2.the lastest vision download https://download.nextcloud.com/server/releases/
3.user manual https://docs.nextcloud.com/server/latest/user_manual/zh_CN/contents.html
4.Nextcloud 26 no longer supports versions below php8 like php 7 so php 7 use 25 version.
Create the database used by nextcloud
Generate self-signed ssl certificate for nextcloud

https://download.nextcloud.com/server/releases/nextcloud-25.0.13.zip

use LNMP all of the sofewares are centos 7 nginx 1.20.1 php7.4 mysql 5.71 and phpmyadmin 5.2.1
if uses above software so just use the nextcloud version is 25

don’t use all install script once appear errors you will very tired to refix it.so all of install just one by one step.

php zip module not installed
yum -y install php-pecl-zip

If you need to access public IP or private IP, you need to make the following modifications:

vim /nextcloud/config/config.php

Edit the trusted_domains parameter, as shown in the figure.

Tagged: